Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.discount.util
Class DateWriter

    java.lang.Object
      java.io.Writer
          java.io.PrintWriter
              com.bea.commerce.ebusiness.discount.util.DateWriter

All Implemented Interfaces
  Closeable, Flushable, Appendable

Deprecated See BEA Commerce product offering

    @Deprecated
    public class DateWriter

extends PrintWriter

This class prepends printed strings with a timestamp. NOT FULLY IMPLEMENTED!!! Currently only the println( String ), println( int) and println() methods have been implemented.

Field Summary
`protected String` | `className` Deprecated See BEA Commerce product offering
`static String` | `colon` Deprecated See BEA Commerce product offering
`static String` | `space` Deprecated See BEA Commerce product offering

Fields inherited from class java.io.PrintWriter
`out`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`DateWriter(OutputStream out)` Deprecated See BEA Commerce product offering
`DateWriter(OutputStream out, boolean autoFlush)` Deprecated See BEA Commerce product offering
`DateWriter(OutputStream out, SimpleDateFormat format)` Deprecated See BEA Commerce product offering
`DateWriter(OutputStream out, SimpleDateFormat format, boolean autoFlush)` Deprecated See BEA Commerce product offering
`DateWriter(Writer writer)` Deprecated See BEA Commerce product offering
`DateWriter(Writer writer, boolean autoFlush)` Deprecated See BEA Commerce product offering
`DateWriter(Writer writer, SimpleDateFormat format)` Deprecated See BEA Commerce product offering
`DateWriter(Writer writer, SimpleDateFormat format, boolean autoFlush)` Deprecated See BEA Commerce product offering

Method Summary
`String` | `currentTime()` Deprecated See BEA Commerce product offering
`void` | `print(int x)` Deprecated See BEA Commerce product offering
`void` | `print(String s)` Deprecated See BEA Commerce product offering
`void` | `println()` Deprecated See BEA Commerce product offering
`void` | `println(int x)` Deprecated See BEA Commerce product offering
`void` | `println(String s)` Deprecated See BEA Commerce product offering

Methods inherited from class java.io.PrintWriter
`append, append, append, checkError, close, flush, format, format, print, print, print, print, print, print, print, printf, printf, println, println, println, println, println, println, println, setError, write, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### space

    public static final String space

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### colon

    public static final String colon

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### className

    protected String className

  Deprecated See BEA Commerce product offering

Constructor Detail

### DateWriter

    public DateWriter(OutputStream out)

  Deprecated See BEA Commerce product offering

### DateWriter

    public DateWriter(OutputStream out,
                      boolean autoFlush)

  Deprecated See BEA Commerce product offering

### DateWriter

    public DateWriter(OutputStream out,
                      SimpleDateFormat format)

  Deprecated See BEA Commerce product offering

### DateWriter

    public DateWriter(OutputStream out,
                      SimpleDateFormat format,
                      boolean autoFlush)

  Deprecated See BEA Commerce product offering

### DateWriter

    public DateWriter(Writer writer)

  Deprecated See BEA Commerce product offering

  Creates DateWriter without autoflushing that uses the default format provided by the default SimpleDateFormat constructor.

  See Also
    `SimpleDateFormat`

### DateWriter

    public DateWriter(Writer writer,
                      boolean autoFlush)

  Deprecated See BEA Commerce product offering

  Creates DateWriter without autoflushing that uses the default format provided by the default SimpleDateFormat constructor.

  See Also
    `SimpleDateFormat`

### DateWriter

    public DateWriter(Writer writer,
                      SimpleDateFormat format)

  Deprecated See BEA Commerce product offering

  Creates DateWriter without autoflushing, using the specified date format.

### DateWriter

    public DateWriter(Writer writer,
                      SimpleDateFormat format,
                      boolean autoFlush)

  Deprecated See BEA Commerce product offering

  Creates DateWriter with autoflushing, using the specified date format.

Method Detail

### print

    public void print(String s)

  Deprecated See BEA Commerce product offering

  Print a string and a timestamp if following a println() call otherwise print the string only. Other than the inclusion of a timestamp this method is identical to calling print( String ) of PrintWriter.

  Overrides:
    `print` in class `PrintWriter`
  Parameters
    `s` - The `String` to be printed

### print

    public void print(int x)

  Deprecated See BEA Commerce product offering

  Print a string and a timestamp if following a println() call otherwise print the string only. Other than the inclusion of a timestamp this method is identical to calling print( String ) of PrintWriter.

  Overrides:
    `print` in class `PrintWriter`
  Parameters
    `s` - The `String` to be printed

### println

    public void println()

  Deprecated See BEA Commerce product offering

  print a new line and no timestamp.

  Overrides:
    `println` in class `PrintWriter`

### println

    public void println(String s)

  Deprecated See BEA Commerce product offering

  print a string prepended with a timestamp and a space, terminate with a newline.

  Overrides:
    `println` in class `PrintWriter`

### println

    public void println(int x)

  Deprecated See BEA Commerce product offering

  print a string prepended with a timestamp and a space, terminate with a newline.

  Overrides:
    `println` in class `PrintWriter`

### currentTime

    public String currentTime()

  Deprecated See BEA Commerce product offering

  Returns
    String the current time and thread name formatted for logging

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved